import {
	https
} from './http.js';
export function loginApi(config) { // 登录
	return https({
		url: '/sys/sinopecLogin',
		method: 'post',
		data: config
	})
}
export function queryRoleApi(config) { // 获取角色职位
	return https({
		url: '/appConnet/app/queryRoleByRoleIds',
		method: 'get',
		data: config
	})
}
export function getUserPermissionApi(config) { // 获取权限
	return https({
		url: '/sys/permission/getUserPermissionByToken',
		method: 'get',
		data: config
	})
}
export function taskListApi(config) { // 我的任务列表
	return https({
		url: '/act/task/list',
		method: 'get',
		data: config
	})
}
export function taskGroupListApi(config) { // 我的组任务列表
	return https({
		url: '/act/task/taskGroupList',
		method: 'get',
		data: config
	})
}
export function taskHistoryListApi(config) { // 我的历史任务列表
	return https({
		url: '/act/task/taskHistoryList',
		method: 'get',
		data: config
	})
}
export function myApplyProcessListApi(config) { // 本人发起列表
	return https({
		url: '/act/task/myApplyProcessList',
		method: 'get',
		data: config
	})
}

export function taskEntrustApi(config) { // 任务委托操作
	return https({
		url: '/act/task/taskEntrust',
		method: 'put',
		data: config
	})
}
export function getProcessNodeInfoApi(config) { // 办理任务节点信息获取
	return https({
		url: '/process/extActProcessNode/getProcessNodeInfo',
		method: 'get',
		data: config
	})
}
export function getHisProcessNodeInfoApi(config) { // 历史任务详情
	return https({
		url: '/process/extActProcessNode/getHisProcessNodeInfo',
		method: 'get',
		data: config
	})
}
export function queryMyDeptTreeListApi(config) { // 部门
	return https({
		url: '/sys/sysDepart/queryTreeList',
		method: 'get',
		data: config
	})
}
export function userListApi(config) { // 所有人员列表 
	return https({
		// url: '/appConnet/app/userList',
		url: '/sys/user/userList',
		method: 'get',
		data: config
	})
}
export function queryUserByDepIdApi(config) { // 根据部门id查询该部门下的人员列表
	return https({
		url: '/sys/user/queryUserByDepId',
		method: 'get',
		data: config
	})
}
export function indexChartScdtDataApi(config) { // 首页
	return https({
		url: '/scdt.cxcscdtjldrb/cxcScdtJldRb/indexChartScdtData',
		method: 'get',
		data: config
	})
}
export function bpmlistApi(config) { // 公文
	return https({
		url: '/appConnet/app/bpmlist',
		method: 'get',
		data: config
	})
}
export function gonggaolistApi(config) { // 公告
	return https({
		url: '/cxctz/cxcTz/list',
		method: 'get',
		data: config
	})
}
export function zhibanQueryApi(config) { // 值班按月查看
	return https({
		url: '/zhgl_zbgl/zhglZbglZbb/list',
		method: 'get',
		data: config
	})
}
export function zhibanApi(config) { // 首页值班
	return https({
		url: '/zhgl_zbgl/zhglZbglZbb/homepageList',
		method: 'get',
		data: config
	})
}
export function faguiApi(config) { // 法规
	return https({
		url: '/cxcoaflgf/cxcOaFlgf/zslist',
		method: 'get',
		data: config
	})
}
export function cjzhiduApi(config) { // 上级制度
	return https({
		url: '/cxcjyglsjzdgl/cxcJyglSjzdgl/zslist',
		method: 'get',
		data: config
	})
}
export function zhiduApi(config) { // 厂级制度
	return https({
		url: '/cxczd/cxcZdgl/list',
		method: 'get',
		data: config
	})
}
export function huiyilistApi(config) { // 会议
	return https({
		url: '/appConnet/app/list',
		method: 'get',
		data: config
	})
}
export function huiyiDetailApi(config) { // 会议详情
	return https({
		url: '/zhgl_hygl/zhglHyglHyyc/listbymainid',
		method: 'get',
		data: config
	})
}
export function userProfileApi(config) { // 用户信息
	return https({
		url: '/sys/user/userList',
		method: 'get',
		data: config
	})
}
export function userEditApi(config) { // 用户编辑
	return https({
		url: '/sys/user/edit',
		method: 'PUT',
		data: config
	})
}
export function qjAddApi(config) { // 请假
	return https({
		url: '/cxcqxjzg/cxcQxjZg/add',
		method: 'post',
		data: config
	})
}
export function qjQueryByIdApi(config) { // 请假流程
	return https({
		url: '/cxcqxjzg/cxcQxjZg/queryById',
		method: 'get',
		data: config
	})
}
export function extActFlowDataApi(config) { // 获取审批流程所需参数
	return https({
		url: '/process/extActFlowData/getProcessInfo',
		method: 'get',
		data: config
	})
}

export function processHistoryListApi(config) { // 审批流程
	return https({
		url: '/act/task/processHistoryList',
		method: 'get',
		data: config
	})
}
export function startMutilProcessApi(config) { // 发起流程
	return https({
		url: '/process/extActProcess/startMutilProcess',
		method: 'post',
		data: config
	})
}
export function processCompleteApi(config) { // 流程办理
	return https({
		url: '/act/task/processComplete',
		method: 'post',
		data: config
	})
}

export function getDictItemsApi(config) { // 字典标签专用
	return https({
		url: '/sys/dict/getDictItems/qjlx',
		method: 'get',
		data: config
	})
}

export function getProcessTaskTransInfoApi(config) { // 
	return https({
		url: '/act/task/getProcessTaskTransInfo',
		method: 'get',
		data: config
	})
}


export function upDateAppApi(config) { // 更新
	return https({
		url: '/sys/common/upDateApp',
		method: 'get',
		data: config
	})
}



export function cxcDapingApi(config) { // 首页图片
	return https({
		url: '/CxcDaping/cxcDaping/list',
		method: 'get',
		data: config
	})
}



export function dbSxxqQueryByIdApi(config) { // 督办事项详情
	return https({
		url: '/cxcdbxt/dbSxxq/queryById',
		method: 'get',
		data: config
	})
}
export function dbJbxxQueryByIdApi(config) { // 督办基本信息
	return https({
		url: '/cxcdbxt/dbJbxx/queryById',
		method: 'get',
		data: config
	})
}

export function claimApi(config) { // 签收
	return https({
		url: '/act/task/claim',
		method: 'put',
		data: config
	})
}

export function cxcJurisdictionApi(config) { // 是否灰化
	return https({
		url: '/CxcJurisdiction/cxcJurisdiction/queryById',
		method: 'get',
		data: config
	})
}



